チケット #39816

Quick Config "Auto" display bugs

登録: 2019-12-04 14:17 最終更新: 2020-01-20 00:53

報告者:
担当者:
チケットの種類:
状況:
完了
コンポーネント:
マイルストーン:
優先度:
5 - 中
重要度:
5 - 中
解決法:
修正済み
ファイル:
なし
投票
点数: 0
No votes
0.0% (0/0)
0.0% (0/0)

詳細

The auto lanes in the quick config menu (BD,BD) do not display correctly.
For drum, when choosing "Auto HH", it shows an "A" for H(ihat) and S(nare drum). "Auto BD" shows an "A" for H(i-tom).
"Custom" is very wrong as well. It shows an "A" for S(nare drum) when using BD etc.
For Guitar and Bass, "Auto Pick" shows "A"s for RGB and "Auto Neck" shows an "A" for P. (Meaning they are reversed)

The auto lanes are actually set correctly eventhough the display in Quick Config is wrong.

Also, shouldn't the "Auto HH" also set Hi-hat open to auto?

チケットの履歴 (14 件中 3 件表示)

2019-12-04 14:17 更新者: beatme
  • 新しいチケット "Quick Config "Auto" display bugs" が作成されました
2019-12-04 21:27 更新者: yyagi
コメント

Thank you for your report.

Due to my business, just now I can't start investigations. However I'll fix bugs all together later.

So if you have any other concerns, please let me know by tickets.

2019-12-10 02:36 更新者: yyagi
コメント

Fixed. Would you try this?

https://osdn.net/users/yyagi/pf/DTXMania_TestBuilds/dl/DTXMania/DTXManiaGR_fixNumOfLanes.zip

I didn't check guitar/bass yet, but at least drum part work well, I believe.

2019-12-29 03:28 更新者: yyagi
コメント

The fix has been pushed to f433ed0dfafefc6495a1cad2da40d3e11f53edab.

2020-01-02 09:43 更新者: beatme
コメント

I'm very sorry for the late reply. Happy new year!

The drum part seems to work properly, but the display order is a bit weird. It shows "LC, HO, HH, BD, SD, HT, LT, FT, RD, CY", but in "Configuration" it is "LC, HH, HO, SD, BD, HT, LT, FT, CY, RD". (HO<->HH, BD<->SD, RD<->CY are reversed)

For guitar and bass it is still wrong. Auto Pick shows RGB (and sets only GB) but it should be P, and Auto Neck shows P but it should be RGB.
Also, changing Guitar Auto also changes Drum Auto and vice versa. And changing Bass Auto doesn't change anything I think, not even Bass Auto?

2020-01-05 04:05 更新者: yyagi
コメント

Thanks for your reply. Happy new year! (元旦快乐! is better for you?)

I'll fix it soon (and also I'll fix other bugs you've reported)

2020-01-07 02:48 更新者: beatme
コメント

I'm german actually, so it would be "Frohes neues Jahr".

In this version, the guitar Auto Neck/Auto Pick issue has been fixed, but some remain:
Changing Drum Auto also changes the Auto for Guitar and vice versa.
Changing Bass Auto does not change anything.

New issues:
The text is missing from the menu. Screenshot: https://i.imgur.com/dgisxEB.jpg
"Auto BD" for Drum sets Auto to SD (probably because of the order change)

2020-01-08 02:20 更新者: yyagi
コメント

Hi Guten Tag, sorry for your testing.

Here is the new fix module: https://osdn.net/users/yyagi/pf/DTXMania_TestBuilds/dl/DTXMania/DTXManiaGR_fixSortMenu2.zip

Changing Drum Auto also changes the Auto for Guitar and vice versa.

Fixed.

Changing Bass Auto does not change anything.

Fixed.

The text is missing from the menu. Screenshot: https://i.imgur.com/dgisxEB.jpg

Fixed. (Hmm I've sent a little old modules..??)

"Auto BD" for Drum sets Auto to SD (probably because of the order change)

You're correct. Fixed.

2020-01-08 05:28 更新者: beatme
コメント

Seems like everything is fixed in that version.

2020-01-08 08:28 更新者: yyagi
コメント

Thanks checking. I'll fix next bugs.

2020-01-09 00:00 更新者: yyagi
  • 担当者(未割り当て) から yyagi に更新されました
  • 解決法なし から 修正済み に更新されました
  • マイルストーン(未割り当て) から 不具合確認・バグ修正 に更新されました
2020-01-09 00:01 更新者: yyagi
  • コンポーネント(未割り当て) から DTXMania に更新されました
2020-01-20 00:53 更新者: yyagi
  • 状況オープン から 完了 に更新されました
コメント

The fix has been include in the release 117.

添付ファイルリスト

添付ファイルはありません

編集

ログインしていません。ログインしていない状態では、コメントに記載者の記録が残りません。 » ログインする